# coding: utf-8

"""
    BitBadges API

    # Introduction The BitBadges API is a RESTful API that enables developers to interact with the BitBadges blockchain and indexer. This API provides comprehensive access to the BitBadges ecosystem, allowing you to query and interact with digital badges, collections, accounts, blockchain data, and more. For complete documentation, see the [BitBadges Documentation](https://docs.bitbadges.io/for-developers/bitbadges-api/api) and use along with this reference.  Note: The API + documentation is new and may contain bugs. If you find any issues, please let us know via Discord or another contact method (https://bitbadges.io/contact).  # Getting Started  ## Authentication All API requests require an API key for authentication. You can obtain your API key from the [BitBadges Developer Portal](https://bitbadges.io/developer).  ### API Key Authentication Include your API key in the `x-api-key` header: ``` x-api-key: your-api-key-here ```  <br />  ## User Authentication Most read-only applications can function with just an API key. However, if you need to access private user data or perform actions on behalf of users, you have two options:  ### OAuth 2.0 (Sign In with BitBadges) For performing actions on behalf of other users, use the standard OAuth 2.0 flow via Sign In with BitBadges. See the [Sign In with BitBadges documentation](https://docs.bitbadges.io/for-developers/authenticating-with-bitbadges) for details.  You will pass the access token in the Authorization header: ``` Authorization: Bearer your-access-token-here ```  ### Password Self-Approve Method For automating actions for your own account: 1. Set up an approved password sign in in your account settings tab on https://bitbadges.io with desired scopes (e.g. `completeClaims`) 2. Sign in using: ```typescript const { message } = await BitBadgesApi.getSignInChallenge(...); const verificationRes = await BitBadgesApi.verifySignIn({     message,     signature: '', //Empty string     password: '...' }) ```  Note: This method uses HTTP session cookies. Ensure your requests support credentials (e.g. axios: { withCredentials: true }).  ### Scopes Note that for proper authentication, you must have the proper scopes set.  See [https://bitbadges.io/auth/linkgen](https://bitbadges.io/auth/linkgen) for a helper URL generation tool. The scopes will be included in the `scope` parameter of the SIWBB URL or set in your approved sign in settings.  Note that stuff marked as Full Access is typically reserved for the official site. If you think you may need this, contact us.  ### Available Scopes  - **Report** (`report`)   Report users or collections.  - **Read Profile** (`readProfile`)   Read your private profile information. This includes your email, approved sign-in methods, connections, and other private information.  - **Read Address Lists** (`readAddressLists`)   Read private address lists on behalf of the user.  - **Manage Address Lists** (`manageAddressLists`)   Create, update, and delete address lists on behalf of the user (private or public).  - **Manage Applications** (`manageApplications`)   Create, update, and delete applications on behalf of the user.  - **Manage Claims** (`manageClaims`)   Create, update, and delete claims on behalf of the user.  - **Manage Developer Apps** (`manageDeveloperApps`)   Create, update, and delete developer apps on behalf of the user.  - **Manage Dynamic Stores** (`manageDynamicStores`)   Create, update, and delete dynamic stores on behalf of the user.  - **Manage Utility Listings** (`manageUtilityListings`)   Create, update, and delete utility listings on behalf of the user.  - **Approve Sign In With BitBadges Requests** (`approveSignInWithBitBadgesRequests`)   Sign In with BitBadges on behalf of the user.  - **Read Authentication Codes** (`readAuthenticationCodes`)   Read Authentication Codes on behalf of the user.  - **Delete Authentication Codes** (`deleteAuthenticationCodes`)   Delete Authentication Codes on behalf of the user.  - **Send Claim Alerts** (`sendClaimAlerts`)   Send claim alerts on behalf of the user.  - **Read Claim Alerts** (`readClaimAlerts`)   Read claim alerts on behalf of the user. Note that claim alerts may contain sensitive information like claim codes, attestation IDs, etc.  - **Manage Attestations** (`manageAttestations`)   Manage attestations on behalf of the user. This includes creating, updating, and deleting attestations.  - **Read Attestations** (`readAttestations`)   Read attestations on behalf of the user.  - **Read Private Claim Data** (`readPrivateClaimData`)   Read private claim data on behalf of the user (e.g. codes, passwords, private user lists, etc.).  - **Complete Claims** (`completeClaims`)   Complete claims on behalf of the user.  - **Manage Off-Chain Balances** (`manageOffChainBalances`)   Manage off-chain balances on behalf of the user.  - **Embedded Wallet** (`embeddedWallet`)   Sign transactions on behalf of the user with their embedded wallet.  <br />  ## SDK Integration The recommended way to interact with the API is through our TypeScript/JavaScript SDK:  ```typescript import { BigIntify, BitBadgesAPI } from \"bitbadgesjs-sdk\";  // Initialize the API client const api = new BitBadgesAPI({   convertFunction: BigIntify,   apiKey: 'your-api-key-here' });  // Example: Fetch collections const collections = await api.getCollections({   collectionsToFetch: [{     collectionId: 1n,     metadataToFetch: {       badgeIds: [{ start: 1n, end: 10n }]     }   }] }); ```  <br />  # Tiers There are 3 tiers of API keys, each with different rate limits and permissions. See the pricing page for more details: https://bitbadges.io/pricing - Free tier - Premium tier - Enterprise tier  Rate limit headers included in responses: - `X-RateLimit-Limit`: Total requests allowed per window - `X-RateLimit-Remaining`: Remaining requests in current window - `X-RateLimit-Reset`: Time until rate limit resets (UTC timestamp)  # Response Formats  ## Error Response  All API errors follow a consistent format:  ```typescript {   // Serialized error object for debugging purposes   // Advanced users can use this to debug issues   error?: any;    // UX-friendly error message that can be displayed to the user   // Always present if error occurs   errorMessage: string;    // Authentication error flag   // Present if the user is not authenticated   unauthorized?: boolean; } ```  <br />  ## Pagination Cursor-based pagination is used for list endpoints: ```typescript {   items: T[],   bookmark: string, // Use this for the next page   hasMore: boolean } ```  <br />  # Best Practices 1. **Rate Limiting**: Implement proper rate limit handling 2. **Caching**: Cache responses when appropriate 3. **Error Handling**: Handle API errors gracefully 4. **Batch Operations**: Use batch endpoints when possible  # Additional Resources - [Official Documentation](https://docs.bitbadges.io/for-developers/bitbadges-api/api) - [SDK Documentation](https://docs.bitbadges.io/for-developers/bitbadges-sdk/overview) - [Developer Portal](https://bitbadges.io/developer) - [GitHub SDK Repository](https://github.com/bitbadges/bitbadgesjs) - [Quickstarter Repository](https://github.com/bitbadges/bitbadges-quickstart)  # Support - [Contact Page](https://bitbadges.io/contact)

    The version of the OpenAPI document: 0.1
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from bitbadgespy-sdk.models.i_msg_universal_update_collection import IMsgUniversalUpdateCollection

class TestIMsgUniversalUpdateCollection(unittest.TestCase):
    """IMsgUniversalUpdateCollection unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> IMsgUniversalUpdateCollection:
        """Test IMsgUniversalUpdateCollection
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `IMsgUniversalUpdateCollection`
        """
        model = IMsgUniversalUpdateCollection()
        if include_optional:
            return IMsgUniversalUpdateCollection(
                creator = '',
                balances_type = '',
                default_balances = bitbadgespy-sdk.models.i_user_balance_store.iUserBalanceStore(
                    balances = [
                        bitbadgespy-sdk.models.i_balance.iBalance(
                            amount = null, 
                            badge_ids = [
                                bitbadgespy-sdk.models.i_uint_range.iUintRange(
                                    start = null, 
                                    end = null, )
                                ], 
                            ownership_times = [
                                bitbadgespy-sdk.models.i_uint_range.iUintRange(
                                    start = null, 
                                    end = null, )
                                ], )
                        ], 
                    incoming_approvals = [
                        bitbadgespy-sdk.models.i_user_incoming_approval.iUserIncomingApproval(
                            from_list_id = '', 
                            from_list = bitbadgespy-sdk.models.i_address_list.iAddressList(
                                list_id = '', 
                                addresses = [
                                    ''
                                    ], 
                                whitelist = True, 
                                uri = '', 
                                custom_data = '', 
                                created_by = '', 
                                alias_address = '', ), 
                            initiated_by_list_id = '', 
                            initiated_by_list = bitbadgespy-sdk.models.i_address_list.iAddressList(
                                list_id = '', 
                                addresses = [
                                    ''
                                    ], 
                                whitelist = True, 
                                uri = '', 
                                custom_data = '', ), 
                            transfer_times = [
                                
                                ], 
                            badge_ids = [
                                
                                ], 
                            ownership_times = [
                                
                                ], 
                            approval_id = '', 
                            uri = '', 
                            custom_data = '', 
                            approval_criteria = bitbadgespy-sdk.models.i_incoming_approval_criteria.iIncomingApprovalCriteria(
                                must_own_badges = [
                                    bitbadgespy-sdk.models.i_must_own_badges.iMustOwnBadges(
                                        collection_id = null, 
                                        amount_range = , 
                                        ownership_times = [
                                            
                                            ], 
                                        badge_ids = [
                                            
                                            ], 
                                        override_with_current_time = True, 
                                        must_satisfy_for_all_assets = True, )
                                    ], 
                                zk_proofs = [
                                    bitbadgespy-sdk.models.i_zk_proof.iZkProof(
                                        verification_key = '', 
                                        uri = '', 
                                        custom_data = '', 
                                        zkp_tracker_id = '', )
                                    ], 
                                coin_transfers = [
                                    bitbadgespy-sdk.models.i_coin_transfer.iCoinTransfer(
                                        to = '', 
                                        coins = [
                                            bitbadgespy-sdk.models.i_cosmos_coin.iCosmosCoin(
                                                amount = null, 
                                                denom = '', )
                                            ], )
                                    ], 
                                merkle_challenges = [
                                    bitbadgespy-sdk.models.i_merkle_challenge.iMerkleChallenge(
                                        root = '', 
                                        expected_proof_length = null, 
                                        use_creator_address_as_leaf = True, 
                                        max_uses_per_leaf = null, 
                                        uri = '', 
                                        custom_data = '', 
                                        challenge_tracker_id = '', )
                                    ], 
                                predetermined_balances = bitbadgespy-sdk.models.i_predetermined_balances.iPredeterminedBalances(
                                    manual_balances = [
                                        bitbadgespy-sdk.models.i_manual_balances.iManualBalances(
                                            balances = [
                                                bitbadgespy-sdk.models.i_balance.iBalance(
                                                    amount = null, 
                                                    badge_ids = [
                                                        
                                                        ], 
                                                    ownership_times = [
                                                        
                                                        ], )
                                                ], )
                                        ], 
                                    incremented_balances = bitbadgespy-sdk.models.i_incremented_balances.iIncrementedBalances(
                                        start_balances = [
                                            
                                            ], 
                                        increment_badge_ids_by = null, 
                                        increment_ownership_times_by = null, ), 
                                    order_calculation_method = bitbadgespy-sdk.models.i_predetermined_order_calculation_method.iPredeterminedOrderCalculationMethod(
                                        use_overall_num_transfers = True, 
                                        use_per_to_address_num_transfers = True, 
                                        use_per_from_address_num_transfers = True, 
                                        use_per_initiated_by_address_num_transfers = True, 
                                        use_merkle_challenge_leaf_index = True, 
                                        challenge_tracker_id = '', ), ), 
                                approval_amounts = bitbadgespy-sdk.models.i_approval_amounts.iApprovalAmounts(
                                    overall_approval_amount = null, 
                                    per_to_address_approval_amount = null, 
                                    per_from_address_approval_amount = null, 
                                    per_initiated_by_address_approval_amount = null, 
                                    amount_tracker_id = '', ), 
                                max_num_transfers = bitbadgespy-sdk.models.i_max_num_transfers.iMaxNumTransfers(
                                    overall_max_num_transfers = null, 
                                    per_to_address_max_num_transfers = null, 
                                    per_from_address_max_num_transfers = null, 
                                    per_initiated_by_address_max_num_transfers = null, 
                                    amount_tracker_id = '', ), 
                                require_from_equals_initiated_by = True, 
                                require_from_does_not_equal_initiated_by = True, ), )
                        ], 
                    outgoing_approvals = [
                        bitbadgespy-sdk.models.i_user_outgoing_approval.iUserOutgoingApproval(
                            to_list_id = '', 
                            to_list = , 
                            initiated_by_list_id = '', 
                            initiated_by_list = , 
                            transfer_times = [
                                
                                ], 
                            badge_ids = [
                                
                                ], 
                            ownership_times = [
                                
                                ], 
                            approval_id = '', 
                            uri = '', 
                            custom_data = '', )
                        ], 
                    user_permissions = bitbadgespy-sdk.models.i_user_permissions.iUserPermissions(
                        can_update_outgoing_approvals = [
                            bitbadgespy-sdk.models.i_user_outgoing_approval_permission.iUserOutgoingApprovalPermission(
                                to_list_id = '', 
                                to_list = , 
                                initiated_by_list_id = '', 
                                initiated_by_list = , 
                                transfer_times = [
                                    
                                    ], 
                                badge_ids = [
                                    
                                    ], 
                                ownership_times = [
                                    
                                    ], 
                                approval_id = '', 
                                permanently_permitted_times = [
                                    
                                    ], 
                                permanently_forbidden_times = [
                                    
                                    ], )
                            ], 
                        can_update_incoming_approvals = [
                            bitbadgespy-sdk.models.i_user_incoming_approval_permission.iUserIncomingApprovalPermission(
                                from_list_id = '', 
                                from_list = , 
                                initiated_by_list_id = '', 
                                initiated_by_list = , 
                                transfer_times = [
                                    
                                    ], 
                                badge_ids = [
                                    
                                    ], 
                                ownership_times = [
                                    
                                    ], 
                                approval_id = '', 
                                permanently_permitted_times = [
                                    
                                    ], 
                                permanently_forbidden_times = [
                                    
                                    ], )
                            ], 
                        can_update_auto_approve_self_initiated_outgoing_transfers = [
                            bitbadgespy-sdk.models.i_action_permission.iActionPermission(
                                permanently_permitted_times = [
                                    
                                    ], 
                                permanently_forbidden_times = [
                                    
                                    ], )
                            ], 
                        can_update_auto_approve_self_initiated_incoming_transfers = [
                            bitbadgespy-sdk.models.i_action_permission.iActionPermission(
                                permanently_permitted_times = [
                                    
                                    ], 
                                permanently_forbidden_times = [
                                    
                                    ], )
                            ], ), 
                    auto_approve_self_initiated_outgoing_transfers = True, 
                    auto_approve_self_initiated_incoming_transfers = True, ),
                badge_ids_to_add = [
                    bitbadgespy-sdk.models.i_uint_range.iUintRange(
                        start = null, 
                        end = null, )
                    ],
                collection_permissions = bitbadgespy-sdk.models.i_collection_permissions.iCollectionPermissions(
                    can_delete_collection = [
                        bitbadgespy-sdk.models.i_action_permission.iActionPermission(
                            permanently_permitted_times = [
                                bitbadgespy-sdk.models.i_uint_range.iUintRange(
                                    start = null, 
                                    end = null, )
                                ], 
                            permanently_forbidden_times = [
                                bitbadgespy-sdk.models.i_uint_range.iUintRange(
                                    start = null, 
                                    end = null, )
                                ], )
                        ], 
                    can_archive_collection = [
                        bitbadgespy-sdk.models.i_timed_update_permission.iTimedUpdatePermission(
                            timeline_times = [
                                
                                ], 
                            permanently_permitted_times = [
                                
                                ], 
                            permanently_forbidden_times = [
                                
                                ], )
                        ], 
                    can_update_off_chain_balances_metadata = [
                        bitbadgespy-sdk.models.i_timed_update_permission.iTimedUpdatePermission(
                            timeline_times = [
                                
                                ], 
                            permanently_permitted_times = , 
                            permanently_forbidden_times = , )
                        ], 
                    can_update_standards = [
                        
                        ], 
                    can_update_custom_data = [
                        
                        ], 
                    can_update_manager = [
                        
                        ], 
                    can_update_collection_metadata = [
                        
                        ], 
                    can_update_valid_badge_ids = [
                        bitbadgespy-sdk.models.i_badge_ids_action_permission.iBadgeIdsActionPermission(
                            badge_ids = [
                                
                                ], 
                            permanently_permitted_times = , 
                            permanently_forbidden_times = , )
                        ], 
                    can_update_badge_metadata = [
                        bitbadgespy-sdk.models.i_timed_update_with_badge_ids_permission.iTimedUpdateWithBadgeIdsPermission(
                            timeline_times = , 
                            badge_ids = [
                                
                                ], 
                            permanently_permitted_times = , 
                            permanently_forbidden_times = , )
                        ], 
                    can_update_collection_approvals = [
                        bitbadgespy-sdk.models.i_collection_approval_permission.iCollectionApprovalPermission(
                            from_list_id = '', 
                            from_list = bitbadgespy-sdk.models.i_address_list.iAddressList(
                                list_id = '', 
                                addresses = [
                                    ''
                                    ], 
                                whitelist = True, 
                                uri = '', 
                                custom_data = '', 
                                created_by = '', 
                                alias_address = '', ), 
                            to_list_id = '', 
                            to_list = bitbadgespy-sdk.models.i_address_list.iAddressList(
                                list_id = '', 
                                addresses = [
                                    ''
                                    ], 
                                whitelist = True, 
                                uri = '', 
                                custom_data = '', ), 
                            initiated_by_list_id = '', 
                            initiated_by_list = , 
                            transfer_times = [
                                
                                ], 
                            badge_ids = [
                                
                                ], 
                            ownership_times = [
                                
                                ], 
                            approval_id = '', 
                            permanently_permitted_times = [
                                
                                ], 
                            permanently_forbidden_times = [
                                
                                ], )
                        ], ),
                manager_timeline = [
                    bitbadgespy-sdk.models.i_manager_timeline.iManagerTimeline(
                        timeline_times = [
                            bitbadgespy-sdk.models.i_uint_range.iUintRange(
                                start = null, 
                                end = null, )
                            ], 
                        manager = '', )
                    ],
                collection_metadata_timeline = [
                    bitbadgespy-sdk.models.i_collection_metadata_timeline.iCollectionMetadataTimeline(
                        timeline_times = [
                            bitbadgespy-sdk.models.i_uint_range.iUintRange(
                                start = null, 
                                end = null, )
                            ], 
                        collection_metadata = {
                            'key' : null
                            }, )
                    ],
                badge_metadata_timeline = [
                    bitbadgespy-sdk.models.i_badge_metadata_timeline.iBadgeMetadataTimeline(
                        timeline_times = [
                            bitbadgespy-sdk.models.i_uint_range.iUintRange(
                                start = null, 
                                end = null, )
                            ], 
                        badge_metadata = [
                            bitbadgespy-sdk.models.i_badge_metadata_details.iBadgeMetadataDetails(
                                badge_ids = [
                                    bitbadgespy-sdk.models.i_uint_range.iUintRange(
                                        start = null, 
                                        end = null, )
                                    ], 
                                metadata = {
                                    'key' : null
                                    }, 
                                uri = '', 
                                fetched_uri = '', 
                                custom_data = '', 
                                to_upload_to_ipfs = True, )
                            ], )
                    ],
                off_chain_balances_metadata_timeline = [
                    bitbadgespy-sdk.models.i_off_chain_balances_metadata_timeline.iOffChainBalancesMetadataTimeline(
                        timeline_times = [
                            bitbadgespy-sdk.models.i_uint_range.iUintRange(
                                start = null, 
                                end = null, )
                            ], 
                        off_chain_balances_metadata = bitbadgespy-sdk.models.i_off_chain_balances_metadata.iOffChainBalancesMetadata(
                            uri = '', 
                            custom_data = '', ), )
                    ],
                custom_data_timeline = [
                    bitbadgespy-sdk.models.i_custom_data_timeline.iCustomDataTimeline(
                        timeline_times = [
                            bitbadgespy-sdk.models.i_uint_range.iUintRange(
                                start = null, 
                                end = null, )
                            ], 
                        custom_data = '', )
                    ],
                collection_approvals = [
                    bitbadgespy-sdk.models.i_collection_approval.iCollectionApproval(
                        to_list_id = '', 
                        to_list = bitbadgespy-sdk.models.i_address_list.iAddressList(
                            list_id = '', 
                            addresses = [
                                ''
                                ], 
                            whitelist = True, 
                            uri = '', 
                            custom_data = '', 
                            created_by = '', 
                            alias_address = '', ), 
                        from_list_id = '', 
                        from_list = bitbadgespy-sdk.models.i_address_list.iAddressList(
                            list_id = '', 
                            addresses = [
                                ''
                                ], 
                            whitelist = True, 
                            uri = '', 
                            custom_data = '', ), 
                        initiated_by_list_id = '', 
                        initiated_by_list = , 
                        transfer_times = [
                            bitbadgespy-sdk.models.i_uint_range.iUintRange(
                                start = null, 
                                end = null, )
                            ], 
                        badge_ids = [
                            bitbadgespy-sdk.models.i_uint_range.iUintRange(
                                start = null, 
                                end = null, )
                            ], 
                        ownership_times = [
                            
                            ], 
                        approval_id = '', 
                        uri = '', 
                        custom_data = '', 
                        approval_criteria = bitbadgespy-sdk.models.i_approval_criteria.iApprovalCriteria(
                            must_own_badges = [
                                bitbadgespy-sdk.models.i_must_own_badges.iMustOwnBadges(
                                    collection_id = null, 
                                    amount_range = , 
                                    ownership_times = [
                                        
                                        ], 
                                    badge_ids = [
                                        
                                        ], 
                                    override_with_current_time = True, 
                                    must_satisfy_for_all_assets = True, )
                                ], 
                            zk_proofs = [
                                bitbadgespy-sdk.models.i_zk_proof.iZkProof(
                                    verification_key = '', 
                                    uri = '', 
                                    custom_data = '', 
                                    zkp_tracker_id = '', )
                                ], 
                            coin_transfers = [
                                bitbadgespy-sdk.models.i_coin_transfer.iCoinTransfer(
                                    to = '', 
                                    coins = [
                                        bitbadgespy-sdk.models.i_cosmos_coin.iCosmosCoin(
                                            amount = null, 
                                            denom = '', )
                                        ], )
                                ], 
                            merkle_challenges = [
                                bitbadgespy-sdk.models.i_merkle_challenge.iMerkleChallenge(
                                    root = '', 
                                    expected_proof_length = null, 
                                    use_creator_address_as_leaf = True, 
                                    max_uses_per_leaf = null, 
                                    uri = '', 
                                    custom_data = '', 
                                    challenge_tracker_id = '', )
                                ], 
                            predetermined_balances = bitbadgespy-sdk.models.i_predetermined_balances.iPredeterminedBalances(
                                manual_balances = [
                                    bitbadgespy-sdk.models.i_manual_balances.iManualBalances(
                                        balances = [
                                            bitbadgespy-sdk.models.i_balance.iBalance(
                                                amount = null, 
                                                badge_ids = [
                                                    
                                                    ], 
                                                ownership_times = [
                                                    
                                                    ], )
                                            ], )
                                    ], 
                                incremented_balances = bitbadgespy-sdk.models.i_incremented_balances.iIncrementedBalances(
                                    start_balances = [
                                        bitbadgespy-sdk.models.i_balance.iBalance(
                                            amount = null, 
                                            badge_ids = [
                                                
                                                ], 
                                            ownership_times = [
                                                
                                                ], )
                                        ], 
                                    increment_badge_ids_by = null, 
                                    increment_ownership_times_by = null, ), 
                                order_calculation_method = bitbadgespy-sdk.models.i_predetermined_order_calculation_method.iPredeterminedOrderCalculationMethod(
                                    use_overall_num_transfers = True, 
                                    use_per_to_address_num_transfers = True, 
                                    use_per_from_address_num_transfers = True, 
                                    use_per_initiated_by_address_num_transfers = True, 
                                    use_merkle_challenge_leaf_index = True, 
                                    challenge_tracker_id = '', ), ), 
                            approval_amounts = bitbadgespy-sdk.models.i_approval_amounts.iApprovalAmounts(
                                overall_approval_amount = null, 
                                per_to_address_approval_amount = null, 
                                per_from_address_approval_amount = null, 
                                per_initiated_by_address_approval_amount = null, 
                                amount_tracker_id = '', ), 
                            max_num_transfers = bitbadgespy-sdk.models.i_max_num_transfers.iMaxNumTransfers(
                                overall_max_num_transfers = null, 
                                per_to_address_max_num_transfers = null, 
                                per_from_address_max_num_transfers = null, 
                                per_initiated_by_address_max_num_transfers = null, 
                                amount_tracker_id = '', ), 
                            require_to_equals_initiated_by = True, 
                            require_from_equals_initiated_by = True, 
                            require_to_does_not_equal_initiated_by = True, 
                            require_from_does_not_equal_initiated_by = True, 
                            overrides_from_outgoing_approvals = True, 
                            overrides_to_incoming_approvals = True, ), )
                    ],
                standards_timeline = [
                    bitbadgespy-sdk.models.i_standards_timeline.iStandardsTimeline(
                        timeline_times = [
                            bitbadgespy-sdk.models.i_uint_range.iUintRange(
                                start = null, 
                                end = null, )
                            ], 
                        standards = [
                            ''
                            ], )
                    ],
                is_archived_timeline = [
                    bitbadgespy-sdk.models.i_is_archived_timeline.iIsArchivedTimeline(
                        timeline_times = [
                            bitbadgespy-sdk.models.i_uint_range.iUintRange(
                                start = null, 
                                end = null, )
                            ], 
                        is_archived = True, )
                    ],
                collection_id = None,
                update_collection_permissions = True,
                update_manager_timeline = True,
                update_collection_metadata_timeline = True,
                update_badge_metadata_timeline = True,
                update_off_chain_balances_metadata_timeline = True,
                update_custom_data_timeline = True,
                update_collection_approvals = True,
                update_standards_timeline = True,
                update_is_archived_timeline = True
            )
        else:
            return IMsgUniversalUpdateCollection(
                creator = '',
                collection_id = None,
        )
        """

    def testIMsgUniversalUpdateCollection(self):
        """Test IMsgUniversalUpdateCollection"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
